Subject: bug#20117: closed (Re: bug#20117: 25.0.50; Tramp tests failing on Cygwin)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Mar 2015 19:35:02 +0000

Your bug report

#20117: 25.0.50; Tramp tests failing on Cygwin

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20117: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20117
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20117: 25.0.50; Tramp tests failing on Cygwin
From: Michael Albinus <[email-masked]>
To: Ken Brown <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Mar 2015 20:34:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

Ken Brown <[email-masked]> writes:

>> Could you pls test the revised patch?
>
> That fixes it.  All Tramp tests finish as expected now.

Thanks for confirmation. I've pushed the patch to the master branch.

> Ken

Best regards, Michael.

Subject: 25.0.50; Tramp tests failing on Cygwin
From: Ken Brown <[email-masked]>
To: [email-masked]
Date: Mon, 16 Mar 2015 11:00:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Several Tramp tests have recently started failing on Cygwin, the first
being tramp-test19-directory-files-and-attributes.  The test aborts
after the failure:

Test tramp-test19-directory-files-and-attributes aborted with non-local exit
   ABORTED  20/35  tramp-test19-directory-files-and-attributes

Aborted: Ran 35 tests, 18 results as expected, 1 unexpected (2015-03-16 
09:36:52-0400)

[...]

Error running tests
   backtrace()
   (progn (message "Error running tests") (backtrace))
   (unwind-protect (progn (message "Error running tests") (backtrace)) 
(kill-emacs 2))
   (unwind-protect (let ((stats (ert-run-tests-batch selector))) 
(kill-emacs (if (= 0 (ert-stats-completed-unexpected stats)) 0 1))) 
(unwind-protect (progn (message "Error running tests") (backtrace)) 
(kill-emacs 2)))
   ert-run-tests-batch-and-exit()
   command-line-1(("-L" ":." "-l" "ert" "-l" "tramp-tests.elc" "-f" 
"ert-run-tests-batch-and-exit"))
   command-line()
   normal-top-level()
Makefile:85: recipe for target 'tramp-tests.log' failed

A bisection shows that the problem started with the following commit:

commit 8ac08792a71e07bce0e62d93bed80553fbe95a40
Author: Michael Albinus <[email-masked]>
Date:   Wed Mar 4 11:02:36 2015 +0100

     Sync with Tramp upstream.

I don't know much about Tramp (or ert), but if someone gives me
instructions, I'll do what I can to help track this down.

Ken

In GNU Emacs 25.0.50.3 (x86_64-unknown-cygwin, GTK+ Version 3.14.9)
  of 2015-03-16 on moufang
Repository revision: b9d09d80d2bf98e5df65316c4e85b448380f7ca7
Windowing system distributor `The Cygwin/X Project', version 11.0.11701000
Configured using:
  `configure --without-all --cache-file=/tmp/config.cache'

Configured features:

Important settings:
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t